-- Remove comments to have the script check for a running iTunes first.
-- We handle this check via system api in the app now

on run
	(*tell application "System Events"
		set isRunning to process "iTunes" exists
	end tell*)
	
	set theID to 0
	
	--if isRunning then
	try
		with timeout of 1 second
			tell application "iTunes"
				if {paused, stopped} does not contain player state then
					try
						set theTrack to current track
					on error
						return "iTMS"
					end try
					set theID to id of theTrack
					--if size of theTrack is missing value then
					if class of theTrack is URL track then
						set theID to -theID
					end if
				end if
			end tell
		end timeout
	on error
		set theID to ""
	end try
	(*else
		set theID to "closed"
	end if*)
	
	return theID
end run