property LoopCount : 10
property theVolume : 50
property theOriginalVolume : 50
property theTargetVolume : 50

on run (theSpeech)
	try
		set theSpeech to theSpeech as string
	on error
		set theSpeech to "Here is, a test, by error"
	end try
	
	try
		with timeout of 1 second
			tell application "iTunes" to set theOriginalVolume to sound volume
		end timeout
		
		set theVolume to theOriginalVolume
		set theTargetVolume to theOriginalVolume / 2
		doFade()
		
		say theSpeech
		
		set theVolume to theOriginalVolume / 2
		set theTargetVolume to theOriginalVolume
		doFade()
	end try
end run

on doFade()
	set iStep to 0
	set iProgress to 0
	repeat LoopCount times
		set iStep to iStep + 1
		set iProgress to iStep / LoopCount
		
		delay 0.05
		with timeout of 1 second
			tell application "iTunes" to set sound volume to (theVolume * (1 - iProgress)) + (theTargetVolume * iProgress)
		end timeout
		
	end repeat
end doFade
