property LoopCount : 5
property theVolume : 50
property theOriginalVolume : 50
property theTargetVolume : 50

on run (theInputVolume)
	try
		set theInputVolume to theInputVolume as number
	on error
		set theInputVolume to 100
	end try
	
	
	try
		with timeout of 1 second
			tell application "iTunes" to set theOriginalVolume to sound volume
		end timeout
		
		if theInputVolume = -1 then
			set theVolume to theOriginalVolume
			set theTargetVolume to theOriginalVolume / 2
			doFade()
		else
			
			set theVolume to theOriginalVolume
			set theTargetVolume to theInputVolume
			doFade()
		end if
	end try
end run

on doFade()
	set iStep to 0
	set iProgress to 0
	repeat LoopCount times
		set iStep to iStep + 1
		set iProgress to iStep / LoopCount
		
		delay 0.05
		try
			with timeout of 0.5 seconds
				tell application "iTunes" to set sound volume to (theVolume * (1 - iProgress)) + (theTargetVolume * iProgress)
			end timeout
		end try
		
	end repeat
end doFade
